{"swagger": "2.0", "basePath": "/v2", "paths": {"/block_storage/access": {"get": {"responses": {"200": {"description": "Block storage beta flag value has been returned.", "schema": {"$ref": "#/definitions/ResponseBlockStorageBetaFlag"}}}, "summary": "Get block storage flag value", "description": "Returns the value of the block storage beta flag.", "operationId": "get_block_storage_flag_view", "tags": ["Block storage Manager"]}}, "/boot/device/{resource_uuid}": {"parameters": [{"name": "resource_uuid", "in": "path", "required": true, "type": "string"}], "post": {"responses": {"202": {"description": "Task for setting boot device has been queued.", "schema": {"$ref": "#/definitions/ResponseDevice"}}, "200": {"description": "Server boot template has been set.", "schema": {"$ref": "#/definitions/ResponseDevice"}}}, "summary": "Set server boot template", "description": "Sets the server boot template.", "operationId": "post_device_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/DeviceSet"}}], "tags": ["Boot Manager"]}, "get": {"responses": {"200": {"description": "Server boot device has been returned.", "schema": {"$ref": "#/definitions/ResponseDevice"}}}, "summary": "Get server boot details", "description": "Returns the server boot device details.", "operationId": "get_device_view", "tags": ["Boot Manager"]}}, "/boot/os/{resource_uuid}": {"parameters": [{"name": "resource_uuid", "in": "path", "required": true, "type": "string"}], "post": {"responses": {"200": {"description": "Operating system configuration has been installed.", "schema": {"$ref": "#/definitions/ResponseOSConfig"}}}, "summary": "Install server OS configuration", "description": "Installs a new operating system configuration on the server.", "operationId": "post_os_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/OSConfigInput"}}], "tags": ["Boot Manager"]}, "patch": {"responses": {"202": {"description": "Task for reinstalling operating system has been queued.", "schema": {"$ref": "#/definitions/ResponseOSConfig"}}, "200": {"description": "Operating system has been reinstalled.", "schema": {"$ref": "#/definitions/ResponseOSConfig"}}}, "summary": "Reinstall OS", "description": "Reinstalls the operating system using the current configuration.", "operationId": "patch_os_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/ReinstallInput"}}], "tags": ["Boot Manager"]}, "get": {"responses": {"200": {"description": "Operating system configuration has been returned.", "schema": {"$ref": "#/definitions/ResponseOSConfig"}}}, "summary": "Get server OS details", "description": "Returns the server operating system configuration details.", "operationId": "get_os_view", "tags": ["Boot Manager"]}}, "/boot/os/{resource_uuid}/password": {"parameters": [{"name": "resource_uuid", "in": "path", "required": true, "type": "string"}], "get": {"responses": {"200": {"description": "Operating system password has been returned.", "schema": {"$ref": "#/definitions/ResponseOSPassword"}}}, "summary": "Get server OS password", "description": "Returns the server operating system password.", "operationId": "get_os_password_view", "tags": ["Boot Manager"]}}, "/boot/partitions/local_drives": {"post": {"responses": {"200": {"description": "List of available local disks for custom server order.", "schema": {"$ref": "#/definitions/PartitionsLocalDisksResponse"}}}, "summary": "Get local disks for custom server order", "description": "Returns available local disks for custom server order.", "operationId": "post_partitions_local_drives_get_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/PartitionsLocalDiskInput"}}, {"type": "string", "in": "query", "description": "Service unique identifier (UUID).", "name": "service_uuid"}, {"type": "string", "in": "query", "description": "Resource unique identifier (UUID).", "name": "resource_uuid"}], "tags": ["Boot Manager"]}, "get": {"responses": {"200": {"description": "List of available local disks for partition configuration.", "schema": {"$ref": "#/definitions/PartitionsLocalDisksResponse"}}}, "summary": "List local disks for partition configuration", "description": "Returns available local disks for partition configuration.", "operationId": "get_partitions_local_drives_get_view", "parameters": [{"type": "string", "in": "query", "description": "Service unique identifier (UUID).", "name": "service_uuid"}, {"type": "string", "in": "query", "description": "Resource unique identifier (UUID).", "name": "resource_uuid"}], "tags": ["Boot Manager"]}}, "/boot/partitions/validate": {"post": {"responses": {"200": {"description": "Partitions configuration has been validated.", "schema": {"$ref": "#/definitions/PartitionsValidateResponse"}}}, "summary": "Validate partitions config for OS", "description": "Validates the partitions configuration for the operating system.", "operationId": "post_partitions_validate_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/PartitionsValidate"}}, {"type": "string", "in": "query", "description": "Service unique identifier (UUID).", "name": "service_uuid"}, {"type": "string", "in": "query", "description": "Resource unique identifier (UUID).", "name": "resource_uuid"}], "tags": ["Boot Manager"]}}, "/boot/template/custom_os_image": {"post": {"responses": {"201": {"description": "Returns created CustomOS Image.", "schema": {"$ref": "#/definitions/CustomOSImageDetailResponse"}}}, "summary": "Create a new Custom OS Image", "operationId": "post_custom_os_image_list_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/CustomOSImageCreateModel"}}], "tags": ["Boot Manager"]}, "get": {"responses": {"200": {"description": "Returns list of custom OS Images.", "schema": {"$ref": "#/definitions/CustomOSImageListResponse"}}}, "summary": "List custom OS Images", "operationId": "get_custom_os_image_list_view", "parameters": [{"type": "string", "in": "query", "description": "Search by UUID, version_name or family_type", "name": "search"}], "tags": ["Boot Manager"]}}, "/boot/template/custom_os_image/{uuid}": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "delete": {"responses": {"200": {"description": "Returns deleted custom OS Image", "schema": {"$ref": "#/definitions/CustomOSImageDetailModel"}}}, "summary": "Delete Custom OS Image", "operationId": "delete_custom_os_image_detail_view", "tags": ["Boot Manager"]}, "put": {"responses": {"200": {"description": "Returns updated custom OS Image", "schema": {"$ref": "#/definitions/CustomOSImageDetailResponse"}}}, "summary": "Update Custom OS Image", "operationId": "put_custom_os_image_detail_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/CustomOSImageUpdateModel"}}], "tags": ["Boot Manager"]}, "get": {"responses": {"200": {"description": "Returns Custom OS Image", "schema": {"$ref": "#/definitions/CustomOSImageDetailResponse"}}}, "summary": "Get Custom OS Image", "operationId": "get_custom_os_image_detail_view", "tags": ["Boot Manager"]}}, "/boot/template/device": {"get": {"responses": {"200": {"description": "List of available boot device templates.", "schema": {"$ref": "#/definitions/ResponseDeviceInfoList"}}}, "summary": "List boot templates", "description": "Returns a list of available boot device templates.", "operationId": "get_device_template_list_view", "parameters": [{"type": "string", "in": "query", "description": "Service unique identifier (UUID) used to filter available device templates.", "name": "service_uuid"}], "tags": ["Boot Manager"]}}, "/boot/template/os": {"get": {"responses": {"200": {"description": "List of operating system templates.", "schema": {"$ref": "#/definitions/ResponseOSTemplateList"}}}, "summary": "List OS configurations", "description": "Returns a list of available operating system templates.", "operationId": "get_os_template_list_view", "parameters": [{"type": "string", "in": "query", "description": "Location unique identifier (UUID) used to filter available operating system templates.", "name": "location_uuid"}, {"type": "string", "in": "query", "description": "Service unique identifier (UUID) used to filter available operating system templates.", "name": "service_uuid"}], "tags": ["Boot Manager"]}}, "/boot/template/os/new": {"get": {"responses": {"200": {"description": "List of operating system templates.", "schema": {"$ref": "#/definitions/OSTemplateListNewResponse"}}}, "summary": "List OS configurations", "description": "Returns a list of available operating system templates.", "operationId": "get_os_template_list_new_view", "parameters": [{"type": "string", "in": "query", "description": "Location unique identifier (UUID) used to filter available operating system templates.", "name": "location_uuid"}, {"type": "string", "in": "query", "description": "Service unique identifier (UUID) used to filter available operating system templates.", "name": "service_uuid"}], "tags": ["Boot Manager"]}}, "/consumption/speed/location/{location_id}": {"parameters": [{"name": "location_id", "in": "path", "required": true, "type": "integer"}]}, "/consumption/speed/network/{network_uuid}": {"parameters": [{"name": "network_uuid", "in": "path", "required": true, "type": "string"}]}, "/consumption/speed/protected/{protected_uuid}": {"parameters": [{"name": "protected_uuid", "in": "path", "required": true, "type": "string"}]}, "/consumption/speed/resource/{resource_uuid}": {"parameters": [{"name": "resource_uuid", "in": "path", "required": true, "type": "string"}], "get": {"responses": {"200": {"description": "List of speed points.", "schema": {"$ref": "#/definitions/ResponseSpeedGraph"}}}, "summary": "Get resource speed points", "operationId": "get_graph_resource_view", "parameters": [{"type": "string", "enum": ["true", "false"], "default": "false", "in": "query", "description": "If true, shows local port type.", "name": "local"}, {"type": "string", "enum": ["min5", "hour"], "default": "min5", "in": "query", "description": "Interval to group points by.", "name": "interval"}, {"type": "integer", "default": 1784417007, "in": "query", "description": "End time for speed points range, Unix timestamp.", "name": "till"}, {"type": "integer", "default": 1784413407, "in": "query", "description": "Start time for speed points range, Unix timestamp.", "name": "from"}], "tags": ["Consumption"]}}, "/consumption/traffic/resource/{resource_uuid}": {"parameters": [{"name": "resource_uuid", "in": "path", "required": true, "type": "string"}], "get": {"responses": {"200": {"description": "Traffic consumption data has been returned.", "schema": {"$ref": "#/definitions/ResponseTrafficConsumption"}}}, "summary": "Get traffic consumption", "operationId": "get_traffic_resource_view", "parameters": [{"type": "integer", "enum": [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12], "default": 7, "in": "query", "description": "Month for which traffic will be calculated.", "name": "month"}], "tags": ["Consumption"]}}, "/dashboard/health": {"get": {"responses": {"200": {"description": "API health information has been returned.", "schema": {"$ref": "#/definitions/HealthInfoResponse"}}}, "summary": "Get API info", "description": "Returns API health information.", "operationId": "get_health_info_view", "tags": ["Dashboard"]}}, "/dashboard/maintenance": {"get": {"responses": {"200": {"description": "Maintenance status has been returned.", "schema": {"$ref": "#/definitions/MaintenanceStatusResponse"}}}, "summary": "Get maintenance status", "description": "Returns the current maintenance status.", "operationId": "get_maintenance_view", "tags": ["Dashboard"]}}, "/dashboard/task": {"get": {"responses": {"200": {"description": "List of active tasks.", "schema": {"$ref": "#/definitions/ResultActiveTasks"}}}, "summary": "List active tasks", "description": "Returns a list of currently active tasks.", "operationId": "get_active_task_view", "tags": ["Dashboard"]}}, "/event": {"get": {"responses": {"303": {"description": "Async result has been returned.", "schema": {"$ref": "#/definitions/ResponseBaseModel"}}, "200": {"description": "List of events.", "schema": {"$ref": "#/definitions/EventResultListModel"}}}, "summary": "List events", "description": "Returns a list of events.", "operationId": "get_event_manager", "parameters": [{"type": "string", "in": "query", "description": "Action name.", "name": "action_name"}, {"type": "string", "in": "query", "description": "Item name.", "name": "item_name"}, {"type": "string", "in": "query", "description": "Item unique identifier.", "name": "item_uuid"}, {"type": "string", "in": "query", "description": "Request unique identifier.", "name": "request_uuid"}, {"type": "integer", "in": "query", "description": "Items per page.", "name": "limit"}, {"type": "integer", "in": "query", "description": "Page number.", "name": "page"}], "tags": ["Events"]}}, "/location": {"get": {"responses": {"200": {"description": "Returns list of Location", "schema": {"$ref": "#/definitions/LocationResultListModel"}}}, "summary": "List locations", "operationId": "get_location_view", "tags": ["Locations"]}}, "/location/{uuid}": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "get": {"responses": {"200": {"description": "Returns Location", "schema": {"$ref": "#/definitions/LocationResultModel"}}}, "summary": "Show location info", "operationId": "get_location_get_view", "tags": ["Locations"]}}, "/misc/name-service/name": {"get": {"responses": {"200": {"description": "List of names.", "schema": {"$ref": "#/definitions/ResponseNameListModel"}}}, "summary": "List names", "operationId": "get_name_view", "parameters": [{"type": "array", "collectionFormat": "multi", "in": "query", "description": "Tags to filter names by.", "name": "tags", "items": {"type": "string"}}, {"type": "integer", "default": 10, "in": "query", "description": "Number of items per page.", "name": "limit"}, {"type": "integer", "default": 1, "in": "query", "description": "Page number for pagination.", "name": "page"}, {"type": "string", "enum": ["created", "name"], "default": "created", "in": "query", "description": "Field to sort results by.", "name": "sort"}, {"type": "string", "enum": ["desc", "asc"], "default": "asc", "in": "query", "description": "Order direction for sorting results.", "name": "order"}], "tags": ["Miscellaneous"]}}, "/misc/name-service/name/{uuid}": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "get": {"responses": {"200": {"description": "Name has been returned.", "schema": {"$ref": "#/definitions/ResponseNameResult"}}}, "summary": "Get name", "operationId": "get_name_update_view", "tags": ["Miscellaneous"]}}, "/misc/name-service/name/{uuid}/tag": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "get": {"responses": {"200": {"description": "List of tags associated with the name.", "schema": {"$ref": "#/definitions/ResponseNameTagsListResult"}}}, "summary": "List name tags", "operationId": "get_name_tags_view", "tags": ["Miscellaneous"]}}, "/misc/name-service/random": {"get": {"responses": {"200": {"description": "Random name has been returned.", "schema": {"$ref": "#/definitions/ResponseNameResult"}}}, "summary": "Get random name", "operationId": "get_random_name_view", "parameters": [{"type": "boolean", "default": false, "in": "query", "description": "If true, returns one of user's names.", "name": "get_user_name"}, {"type": "array", "collectionFormat": "multi", "in": "query", "description": "Tags to filter names by.", "name": "tags", "items": {"type": "string"}}], "tags": ["Miscellaneous"]}}, "/misc/name-service/tag": {"get": {"responses": {"200": {"description": "List of tags.", "schema": {"$ref": "#/definitions/ResponseTagListResult"}}}, "summary": "List tags", "operationId": "get_tag_view", "parameters": [{"type": "integer", "default": 10, "in": "query", "description": "Number of items per page.", "name": "limit"}, {"type": "integer", "default": 1, "in": "query", "description": "Page number for pagination.", "name": "page"}, {"type": "string", "enum": ["created", "name"], "default": "created", "in": "query", "description": "Field to sort results by.", "name": "sort"}, {"type": "string", "enum": ["desc", "asc"], "default": "asc", "in": "query", "description": "Order direction for sorting results.", "name": "order"}], "tags": ["Miscellaneous"]}}, "/misc/name-service/tag/{uuid}": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "get": {"responses": {"200": {"description": "Tag has been returned.", "schema": {"$ref": "#/definitions/ResponseTagResult"}}}, "summary": "Get tag", "operationId": "get_tag_update_view", "tags": ["Miscellaneous"]}}, "/misc/name-service/tag/{uuid}/name": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "get": {"responses": {"200": {"description": "List of names associated with the tag.", "schema": {"$ref": "#/definitions/ResponseTagNamesListResult"}}}, "summary": "List tag names", "operationId": "get_tag_names_view", "tags": ["Miscellaneous"]}}, "/misc/user-name-service/name": {"post": {"responses": {"201": {"description": "User name has been created.", "schema": {"$ref": "#/definitions/ResponseUserNameResult"}}}, "summary": "Create user name", "operationId": "post_user_name_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/UserNameAdd"}}], "tags": ["Miscellaneous"]}, "get": {"responses": {"200": {"description": "List of user names.", "schema": {"$ref": "#/definitions/ResponseUserNameListResult"}}}, "summary": "List user names", "operationId": "get_user_name_view", "parameters": [{"type": "integer", "default": 10, "in": "query", "description": "Number of items per page.", "name": "limit"}, {"type": "integer", "default": 1, "in": "query", "description": "Page number for pagination.", "name": "page"}, {"type": "string", "enum": ["created", "name"], "default": "created", "in": "query", "description": "Field to sort results by.", "name": "sort"}, {"type": "string", "enum": ["desc", "asc"], "default": "asc", "in": "query", "description": "Order direction for sorting results.", "name": "order"}], "tags": ["Miscellaneous"]}}, "/misc/user-name-service/name/{uuid}": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "delete": {"responses": {"200": {"description": "User name has been deleted.", "schema": {"$ref": "#/definitions/ResponseBaseModel"}}}, "summary": "Delete user name", "operationId": "delete_user_name_update_view", "tags": ["Miscellaneous"]}, "put": {"responses": {"200": {"description": "User name has been updated.", "schema": {"$ref": "#/definitions/ResponseUserNameResult"}}}, "summary": "Update user name", "operationId": "put_user_name_update_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/UserNameUpdate"}}], "tags": ["Miscellaneous"]}, "get": {"responses": {"200": {"description": "User name has been returned.", "schema": {"$ref": "#/definitions/ResponseUserNameResult"}}}, "summary": "Get user name", "operationId": "get_user_name_update_view", "tags": ["Miscellaneous"]}}, "/network": {"get": {"responses": {"200": {"description": "List of networks.", "schema": {"$ref": "#/definitions/NetworkListResultModel"}}}, "summary": "List networks", "description": "Returns a list of networks with optional filtering by resource, location, or shared status.", "operationId": "get_network_view", "parameters": [{"type": "boolean", "in": "query", "description": "If true, filters shared networks.", "name": "is_shared"}, {"type": "string", "in": "query", "description": "Universally unique identifier (UUID) of the location to filter networks.", "name": "location_uuid"}, {"type": "string", "in": "query", "description": "Universally unique identifier (UUID) of the resource. Filters networks that have IP addresses allocated for the specified resource.", "name": "resource_uuid"}, {"type": "integer", "in": "query", "description": "Limit of results per pagination page.", "name": "limit"}, {"type": "integer", "in": "query", "description": "Pagination page number.", "name": "page"}], "tags": ["Network Management API"]}}, "/network/ipam/ip": {"get": {"responses": {"200": {"description": "List of IP addresses.", "schema": {"$ref": "#/definitions/IpResultListModel"}}}, "summary": "List IP addresses", "description": "Returns a list of IP addresses with optional filtering by location, subnet, network, owner, or shared status.", "operationId": "get_ip_list_view", "parameters": [{"type": "boolean", "in": "query", "description": "If true, filters IP addresses only from shared networks, otherwise filters only from dedicated networks.", "name": "is_shared"}, {"type": "integer", "in": "query", "description": "Owner identifier to filter IP addresses.", "name": "owner_id"}, {"type": "string", "in": "query", "description": "Universally unique identifier (UUID) of the network to filter IP addresses.", "name": "network_uuid"}, {"type": "string", "in": "query", "description": "Universally unique identifier (UUID) of the subnet to filter IP addresses.", "name": "subnet_uuid"}, {"type": "string", "in": "query", "description": "Universally unique identifier (UUID) of the location to filter IP addresses.", "name": "location_uuid"}, {"type": "integer", "in": "query", "description": "Limit of results per pagination page.", "name": "limit"}, {"type": "integer", "in": "query", "description": "Pagination page number.", "name": "page"}], "tags": ["Network Management API"]}}, "/network/ipam/ip/{uuid}": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "delete": {"responses": {"200": {"description": "Success"}}, "summary": "Release IP address", "description": "Releases the specified IP address from the subnet.", "operationId": "delete_ip_detail_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/IpReleaseModel"}}], "tags": ["Network Management API"]}, "get": {"responses": {"200": {"description": "IP address has been returned.", "schema": {"$ref": "#/definitions/IpResultModel"}}}, "summary": "Get IP address", "description": "Returns information about the specified IP address.", "operationId": "get_ip_detail_view", "tags": ["Network Management API"]}}, "/network/ipam/local_ip": {"get": {"responses": {"200": {"description": "List of local IP addresses.", "schema": {"$ref": "#/definitions/LocalIpResultListModel"}}}, "summary": "List local IP addresses", "description": "Returns a list of local IP addresses with optional filtering by location, subnet, or network.", "operationId": "get_local_ip_list_view", "parameters": [{"type": "string", "in": "query", "description": "Universally unique identifier (UUID) of the network to filter local IP addresses.", "name": "network_uuid"}, {"type": "string", "in": "query", "description": "Universally unique identifier (UUID) of the subnet to filter local IP addresses.", "name": "subnet_uuid"}, {"type": "string", "in": "query", "description": "Universally unique identifier (UUID) of the location to filter local IP addresses.", "name": "location_uuid"}, {"type": "integer", "in": "query", "description": "Limit of results per pagination page.", "name": "limit"}, {"type": "integer", "in": "query", "description": "Pagination page number.", "name": "page"}], "tags": ["Network Management API"]}}, "/network/ipam/local_ip/{uuid}": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "delete": {"responses": {"200": {"description": "Local IP address has been released."}}, "summary": "Release local IP address", "description": "Releases the specified local IP address from the subnet.", "operationId": "delete_local_ip_detail_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/LocalIpReleaseModel"}}], "tags": ["Network Management API"]}, "get": {"responses": {"200": {"description": "Local IP address has been returned.", "schema": {"$ref": "#/definitions/LocalIpResultModel"}}}, "summary": "Get local IP address", "description": "Returns information about the specified local IP address.", "operationId": "get_local_ip_detail_view", "tags": ["Network Management API"]}}, "/network/ipam/local_subnet": {"post": {"responses": {"201": {"description": "Local subnet has been created.", "schema": {"$ref": "#/definitions/LocalSubnetDetailResultModel"}}}, "summary": "Create local subnet", "description": "Creates a new local subnet.", "operationId": "post_local_subnet_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/LocalSubnetCreateModel"}}], "tags": ["Network Management API"]}, "get": {"responses": {"200": {"description": "List of local subnets.", "schema": {"$ref": "#/definitions/SubnetListResultModel"}}}, "summary": "List local subnets", "description": "Returns a list of local subnets.", "operationId": "get_local_subnet_view", "tags": ["Network Management API"]}}, "/network/ipam/local_subnet/{subnet_uuid}/local_ip": {"parameters": [{"name": "subnet_uuid", "in": "path", "required": true, "type": "string"}], "post": {"responses": {"201": {"description": "Local IP address has been allocated.", "schema": {"$ref": "#/definitions/LocalIpResultModel"}}}, "summary": "Allocate local IP address", "description": "Allocates a new local IP address in the specified subnet.", "operationId": "post_subnet_local_ip_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/LocalIpAllocateModel"}}], "tags": ["Network Management API"]}, "get": {"responses": {"200": {"description": "List of local IP addresses.", "schema": {"$ref": "#/definitions/LocalIpResultListModel"}}}, "summary": "List local IP addresses in subnet", "description": "Returns a list of local IP addresses in the specified subnet.", "operationId": "get_subnet_local_ip_view", "tags": ["Network Management API"]}}, "/network/ipam/local_subnet/{uuid}": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "delete": {"responses": {"200": {"description": "Local subnet has been released."}}, "summary": "Release local subnet", "description": "Releases the specified local subnet.", "operationId": "delete_local_subnet_detail_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/LocalSubnetRemoveModel"}}], "tags": ["Network Management API"]}, "get": {"responses": {"200": {"description": "Local subnet has been returned.", "schema": {"$ref": "#/definitions/LocalSubnetDetailResultModel"}}}, "summary": "Get local subnet", "description": "Returns information about the specified local subnet.", "operationId": "get_local_subnet_detail_view", "tags": ["Network Management API"]}}, "/network/ipam/subnet": {"get": {"responses": {"200": {"description": "List of master subnets.", "schema": {"$ref": "#/definitions/SubnetListResultModel"}}}, "summary": "List master subnets", "description": "Returns a list of master subnets.", "operationId": "get_subnet_view", "parameters": [{"type": "string", "in": "query", "description": "Returns subnets filtered by network telematics type.", "name": "network_telematics_type"}], "tags": ["Network Management API"]}}, "/network/ipam/subnet/{subnet_uuid}/ip": {"parameters": [{"name": "subnet_uuid", "in": "path", "required": true, "type": "string"}], "post": {"responses": {"201": {"description": "IP address has been allocated.", "schema": {"$ref": "#/definitions/IpResultModel"}}}, "summary": "Allocate IP address", "description": "Allocates a new IP address in the specified subnet.", "operationId": "post_ip_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/IpAllocateModel"}}], "tags": ["Network Management API"]}, "get": {"responses": {"200": {"description": "List of IP addresses.", "schema": {"$ref": "#/definitions/IpResultListModel"}}}, "summary": "List IP addresses in subnet", "description": "Returns a list of IP addresses in the specified subnet.", "operationId": "get_ip_view", "tags": ["Network Management API"]}}, "/network/ipam/subnet/{uuid}": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "get": {"responses": {"200": {"description": "Subnet has been returned.", "schema": {"$ref": "#/definitions/SubnetDetailResultModel"}}}, "summary": "Get subnet", "description": "Returns information about the specified subnet.", "operationId": "get_subnet_detail_view", "tags": ["Network Management API"]}}, "/network/ipam/subnet/{uuid}/vrrp": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "put": {"responses": {"200": {"description": "VRRP addresses have been set for the subnet.", "schema": {"$ref": "#/definitions/SubnetDetailResultModel"}}}, "summary": "Set reserved VRRP addresses", "description": "Sets reserved VRRP addresses for the specified subnet.", "operationId": "put_subnet_set_vrrp_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/SubnetSetVRRPModel"}}], "tags": ["Network Management API"]}}, "/network/limit/type": {"get": {"responses": {"200": {"description": "List of network limit types.", "schema": {"$ref": "#/definitions/NetworkLimitTypeResultListModel"}}}, "summary": "List network limit types", "description": "Returns a list of available network limit types.", "operationId": "get_network_limit_type_view", "tags": ["Network Management API"]}}, "/network/limit/{uuid}": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "put": {"responses": {"201": {"description": "Network limit has been updated.", "schema": {"$ref": "#/definitions/NetworkLimitResultModel"}}}, "summary": "Update network limit", "description": "Updates network limit for the specified resource.", "operationId": "put_network_limit_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/NetworkLimitUpdateModel"}}], "tags": ["Network Management API"]}, "get": {"responses": {"200": {"description": "Network limit has been returned.", "schema": {"$ref": "#/definitions/NetworkLimitResultModel"}}}, "summary": "Get network limit", "description": "Returns network limit information for the specified resource.", "operationId": "get_network_limit_view", "tags": ["Network Management API"]}}, "/network/port": {"get": {"responses": {"200": {"description": "List of ports.", "schema": {"$ref": "#/definitions/PortResultModel"}}}, "summary": "List ports", "description": "Returns a list of ports.", "operationId": "get_port_view", "tags": ["Network Management API"]}}, "/network/port/hw/{hw_uuid}": {"parameters": [{"name": "hw_uuid", "in": "path", "required": true, "type": "string"}], "get": {"responses": {"200": {"description": "List of ports.", "schema": {"$ref": "#/definitions/PortResultModel"}}}, "summary": "List ports for hardware", "description": "Returns ports associated with the specified hardware.", "operationId": "get_port_hw_view", "tags": ["Network Management API"]}}, "/network/port/{uuid}": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "put": {"responses": {"202": {"description": "Task has been queued for processing.", "schema": {"$ref": "#/definitions/ResponseBaseModel"}}, "200": {"description": "Port configuration has been applied.", "schema": {"$ref": "#/definitions/PortResultModel"}}}, "summary": "Apply port configuration", "description": "Applies network configuration to the specified port.", "operationId": "put_port_detail_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/PortApplyNetworkModel"}}], "tags": ["Network Management API"]}, "get": {"responses": {"200": {"description": "Port has been returned.", "schema": {"$ref": "#/definitions/PortResultModel"}}}, "summary": "Get port", "description": "Returns information about the specified port.", "operationId": "get_port_detail_view", "tags": ["Network Management API"]}}, "/network/port/{uuid}/network": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "get": {"responses": {"200": {"description": "List of networks.", "schema": {"$ref": "#/definitions/NetworkListResultModel"}}}, "summary": "List networks for port", "description": "Returns networks associated with the specified port.", "operationId": "get_port_manager_view", "tags": ["Network Management API"]}}, "/network/{uuid}": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "put": {"responses": {"202": {"description": "Task has been queued for processing.", "schema": {"$ref": "#/definitions/ResponseBaseModel"}}, "200": {"description": "Network has been updated.", "schema": {"$ref": "#/definitions/NetworkResultModel"}}}, "summary": "Update network", "description": "Updates the specified network configuration.", "operationId": "put_network_detail_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/NetworkUpdateModel"}}], "tags": ["Network Management API"]}, "get": {"responses": {"200": {"description": "Network has been returned.", "schema": {"$ref": "#/definitions/NetworkResultModel"}}}, "summary": "Get network", "description": "Returns information about the specified network.", "operationId": "get_network_detail_view", "tags": ["Network Management API"]}}, "/network/{uuid}/basic_firewall": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "delete": {"responses": {"200": {"description": "All basic firewall rules have been removed from the network.", "schema": {"$ref": "#/definitions/ResponseBaseModel"}}}, "summary": "Remove all basic firewall rules from network", "description": "Removes all basic firewall rules from the specified network.", "operationId": "delete_network_basic_firewall_view", "tags": ["Network Management API"]}, "post": {"responses": {"202": {"description": "Task has been queued for processing.", "schema": {"$ref": "#/definitions/ResponseBaseModel"}}, "200": {"description": "Basic firewall rules have been applied to the network.", "schema": {"$ref": "#/definitions/NetworkBasicFirewallResultModel"}}}, "summary": "Apply basic firewall rules to network", "description": "Applies basic firewall rules to the specified network.", "operationId": "post_network_basic_firewall_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/NetworkBasicFirewallAddModel"}}], "tags": ["Network Management API"]}, "get": {"responses": {"200": {"description": "Network basic firewall rules have been returned.", "schema": {"$ref": "#/definitions/NetworkBasicFirewallResultModel"}}}, "summary": "Get network basic firewall rules", "description": "Returns basic firewall rules for the specified network.", "operationId": "get_network_basic_firewall_view", "tags": ["Network Management API"]}}, "/network/{uuid}/subnet": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "delete": {"responses": {"202": {"description": "Task has been queued for processing.", "schema": {"$ref": "#/definitions/ResponseBaseModel"}}, "200": {"description": "Subnet has been removed from the network.", "schema": {"$ref": "#/definitions/NetworkResultModel"}}}, "summary": "Remove subnet from network", "description": "Removes a subnet from the specified network.", "operationId": "delete_network_subnet_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/NetworkReleaseSubnetModel"}}], "tags": ["Network Management API"]}, "post": {"responses": {"202": {"description": "Task has been queued for processing.", "schema": {"$ref": "#/definitions/ResponseBaseModel"}}, "201": {"description": "Subnet has been added to the network.", "schema": {"$ref": "#/definitions/NetworkResultModel"}}}, "summary": "Add subnet to network", "description": "Adds a subnet to the specified network.", "operationId": "post_network_subnet_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/NetworkAddSubnetModel"}}], "tags": ["Network Management API"]}}, "/plan": {"get": {"responses": {"200": {"description": "List of price plans.", "schema": {"$ref": "#/definitions/PricePlanResultListModel"}}}, "summary": "List price plans", "description": "Returns a list of price plans.", "operationId": "get_price_plan_view", "tags": ["Price Plans"]}}, "/plan/{uuid}": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "get": {"responses": {"200": {"description": "Price plan has been returned.", "schema": {"$ref": "#/definitions/PricePlanResultModel"}}}, "summary": "Get price plan", "description": "Returns a price plan.", "operationId": "get_price_plan_get_view", "tags": ["Price Plans"]}}, "/power/{resource_uuid}": {"parameters": [{"name": "resource_uuid", "in": "path", "required": true, "type": "string"}], "put": {"responses": {"200": {"description": "Resource power state has been switched.", "schema": {"$ref": "#/definitions/ResponseBaseModel"}}}, "summary": "Set server power state", "description": "Switches the resource power state.", "operationId": "put_resource_power_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/PowerSwitchStatus"}}], "tags": ["Power Manager"]}, "get": {"responses": {"200": {"description": "Resource power state has been returned.", "schema": {"$ref": "#/definitions/ResponsePowerStatus"}}}, "summary": "Get server power state", "description": "Returns the resource power state.", "operationId": "get_resource_power_view", "tags": ["Power Manager"]}}, "/power/{resource_uuid}/console": {"parameters": [{"name": "resource_uuid", "in": "path", "required": true, "type": "string"}], "post": {"responses": {"200": {"description": "Resource console resolution has been set.", "schema": {"$ref": "#/definitions/ResponseBaseModel"}}}, "summary": "Set server console resolution", "description": "Sets the resource console resolution.", "operationId": "post_resource_console_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/ConsoleResolution"}}], "tags": ["Power Manager"]}, "get": {"responses": {"200": {"description": "Resource console has been returned.", "schema": {"$ref": "#/definitions/ResponseConsole"}}}, "summary": "Get server console", "description": "Returns the resource console.", "operationId": "get_resource_console_view", "tags": ["Power Manager"]}}, "/power/{resource_uuid}/reboot": {"parameters": [{"name": "resource_uuid", "in": "path", "required": true, "type": "string"}], "post": {"responses": {"200": {"description": "Resource hardware has been rebooted.", "schema": {"$ref": "#/definitions/ResponseBaseModel"}}}, "summary": "Reboot server", "description": "Reboots the resource hardware.", "operationId": "post_resource_reboot_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/PowerReboot"}}], "tags": ["Power Manager"]}}, "/promotions/auction": {"get": {"responses": {"202": {"description": "Task has been queued for processing.", "schema": {"$ref": "#/definitions/ResponseBaseModel"}}, "200": {"description": "List of discount campaigns.", "schema": {"$ref": "#/definitions/AuctionDiscountCampaignListResultModel"}}}, "summary": "List discount campaigns", "description": "Returns a list of discount campaigns.", "operationId": "get_auction_discount_campaign_list_view", "parameters": [{"type": "integer", "in": "query", "description": "Number of items per page.", "name": "limit"}, {"type": "integer", "in": "query", "description": "Page number for pagination.", "name": "page"}], "tags": ["Discount campaign"]}}, "/promotions/auction/finished": {"get": {"responses": {"202": {"description": "Task has been queued for processing.", "schema": {"$ref": "#/definitions/ResponseBaseModel"}}, "200": {"description": "List of finished discount campaigns.", "schema": {"$ref": "#/definitions/AuctionDiscountCampaignListResultModel"}}}, "summary": "List finished discount campaigns", "description": "Returns a list of finished discount campaigns.", "operationId": "get_auction_discount_campaign_finished_list_view", "parameters": [{"type": "integer", "in": "query", "description": "Number of items per page.", "name": "limit"}, {"type": "integer", "in": "query", "description": "Page number for pagination.", "name": "page"}], "tags": ["Discount campaign"]}}, "/promotions/auction/{uuid}": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "get": {"responses": {"303": {"description": "Task result has been returned.", "schema": {"$ref": "#/definitions/ResponseBaseModel"}}, "200": {"description": "Discount campaign has been returned.", "schema": {"$ref": "#/definitions/AuctionDiscountCampaignResultModel"}}}, "summary": "Get discount campaign", "description": "Returns the discount campaign.", "operationId": "get_auction_discount_campaign_view", "tags": ["Discount campaign"]}}, "/promotions/special_offer": {"get": {"responses": {"202": {"description": "Task has been queued for processing.", "schema": {"$ref": "#/definitions/ResponseBaseModel"}}, "200": {"description": "List of special offers.", "schema": {"$ref": "#/definitions/SpecialOfferDiscountCampaignResultModel"}}}, "summary": "List special offers", "description": "Returns a list of special offers.", "operationId": "get_special_offer_discount_campaign_list_view", "parameters": [{"type": "string", "enum": ["name", "discount", "created", "updated"], "default": "name", "in": "query", "description": "Field to sort results by.", "name": "sort"}, {"type": "string", "in": "query", "description": "Universally unique identifier (UUID) of the service.", "name": "service_uuid"}, {"type": "integer", "in": "query", "description": "Number of items per page.", "name": "limit"}, {"type": "integer", "in": "query", "description": "Page number for pagination.", "name": "page"}], "tags": ["Discount campaign"]}}, "/resource": {"get": {"responses": {"202": {"description": "Task has been queued for processing.", "schema": {"$ref": "#/definitions/ResponseBaseModel"}}, "200": {"description": "List of resources.", "schema": {"$ref": "#/definitions/ResourceResultListModel"}}}, "summary": "List resources", "description": "List resources.", "operationId": "get_resource_list_view", "parameters": [{"type": "boolean", "in": "query", "description": "If true, filters servers ready to connect to blockstorage by local network.", "name": "blockstorage_local_connect_ready"}, {"type": "boolean", "in": "query", "description": "If true, filters servers ready to connect to blockstorage.", "name": "blockstorage_connect_ready"}, {"type": "integer", "in": "query", "description": "Resource tag identifier.", "name": "resource_tag_id"}, {"type": "integer", "in": "query", "description": "Limit of results per pagination page.", "name": "limit"}, {"type": "integer", "in": "query", "description": "Pagination page number.", "name": "page"}], "tags": ["Resources"]}}, "/resource/billing/info": {"get": {"responses": {"200": {"description": "Client billing information has been returned.", "schema": {"$ref": "#/definitions/ClientBillingInfoResultModel"}}}, "summary": "Get client billing information", "description": "Get client billing information.", "operationId": "get_resource_client_billing_info_view", "tags": ["Resources"]}}, "/resource/billing/{uuid}": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "delete": {"responses": {"202": {"description": "Task has been queued for processing.", "schema": {"$ref": "#/definitions/ResponseBaseModel"}}, "200": {"description": "Resource has been cancelled.", "schema": {"$ref": "#/definitions/ResponseBaseModel"}}}, "summary": "Cancel resource", "description": "Manage resource billing operations.", "operationId": "delete_resource_billing_manage_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/ResourceCancelModel"}}], "tags": ["Resources"]}, "patch": {"responses": {"202": {"description": "Task has been queued for processing.", "schema": {"$ref": "#/definitions/ResponseBaseModel"}}, "200": {"description": "Resource has been restored.", "schema": {"$ref": "#/definitions/ResourceResultModel"}}}, "summary": "Restore resource", "operationId": "patch_resource_billing_manage_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/ResourceRestoreModel"}}], "tags": ["Resources"]}}, "/resource/colocation/billing": {"post": {"responses": {"202": {"description": "Task has been queued for processing.", "schema": {"$ref": "#/definitions/ResponseBaseModel"}}, "200": {"description": "Colocation resource has been created.", "schema": {"$ref": "#/definitions/ResourceResultModel"}}}, "summary": "Create colocation resource", "description": "Manage colocation resource billing.", "operationId": "post_resource_billing_colocation_manage_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/ResourceStartColocationModel"}}], "tags": ["Resources"]}}, "/resource/custom/billing": {"post": {"responses": {"202": {"description": "Task has been queued for processing.", "schema": {"$ref": "#/definitions/ResponseBaseModel"}}, "200": {"description": "Server custom resource has been created.", "schema": {"$ref": "#/definitions/ResourceListResultModel"}}}, "summary": "Create server custom resource", "description": "Manage server custom resource billing.", "operationId": "post_resource_billing_server_custom_manage_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/ResourceStartServerCustomModel"}}], "tags": ["Resources"]}}, "/resource/firewall/billing": {"post": {"responses": {"202": {"description": "Task has been queued for processing.", "schema": {"$ref": "#/definitions/ResponseBaseModel"}}, "200": {"description": "Firewall resource has been created.", "schema": {"$ref": "#/definitions/ResourceListResultModel"}}}, "summary": "Create firewall resource", "description": "Manage firewall resource billing.", "operationId": "post_resource_billing_firewall_manage_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/ResourceStartFirewallModel"}}], "tags": ["Resources"]}}, "/resource/layout": {"get": {"responses": {"200": {"description": "List of client racks with resources.", "schema": {"$ref": "#/definitions/ResourceLayoutListResultModel"}}}, "summary": "List resource by rack layout", "description": "List resource by rack layout.", "operationId": "get_resource_layout_view", "tags": ["Resources"]}}, "/resource/network/billing": {"post": {"responses": {"202": {"description": "Task has been queued for processing.", "schema": {"$ref": "#/definitions/ResponseBaseModel"}}, "200": {"description": "Network resource has been created.", "schema": {"$ref": "#/definitions/ResourceListResultModel"}}}, "summary": "Create network resource", "description": "Manage network resource billing.", "operationId": "post_resource_billing_network_manage_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/ResourceStartNetworkModel"}}], "tags": ["Resources"]}}, "/resource/order/{year}": {"parameters": [{"name": "year", "in": "path", "required": true, "type": "integer"}], "get": {"responses": {"200": {"description": "List of resource orders.", "schema": {"$ref": "#/definitions/ResourceOrdersStatResultListModel"}}}, "summary": "List orders by year", "description": "List orders by year.", "operationId": "get_resource_orders_view", "tags": ["Resources"]}}, "/resource/port/billing": {"post": {"responses": {"202": {"description": "Task has been queued for processing.", "schema": {"$ref": "#/definitions/ResponseBaseModel"}}, "200": {"description": "Port resource has been created.", "schema": {"$ref": "#/definitions/ResourceResultModel"}}}, "summary": "Create port resource", "description": "Manage port resource billing.", "operationId": "post_resource_billing_port_manage_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/ResourceStartPortModel"}}], "tags": ["Resources"]}}, "/resource/server/billing": {"post": {"responses": {"202": {"description": "Task has been queued for processing.", "schema": {"$ref": "#/definitions/ResponseBaseModel"}}, "200": {"description": "Server resource has been created.", "schema": {"$ref": "#/definitions/ResourceListResultModel"}}}, "summary": "Create server resource", "description": "Manage server resource billing.", "operationId": "post_resource_billing_server_manage_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/ResourceStartServerModel"}}], "tags": ["Resources"]}}, "/resource/serverchip/billing": {"post": {"responses": {"202": {"description": "Task has been queued for processing.", "schema": {"$ref": "#/definitions/ResponseBaseModel"}}, "200": {"description": "Serverchip resource has been created.", "schema": {"$ref": "#/definitions/ResourceListResultModel"}}}, "summary": "Create serverchip resource", "description": "Manage serverchip resource billing.", "operationId": "post_resource_billing_serverchip_manage_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/ResourceStartServerchipModel"}}], "tags": ["Resources"]}}, "/resource/tag": {"post": {"responses": {"200": {"description": "User tag has been created.", "schema": {"$ref": "#/definitions/ResourceTagResultModel"}}}, "summary": "Create user tag", "operationId": "post_resource_tag_list_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/ResourceTagCreateUpdateModel"}}], "tags": ["Resources"]}, "get": {"responses": {"200": {"description": "List of user tags.", "schema": {"$ref": "#/definitions/ResourceTagResultListModel"}}}, "summary": "List user tags", "description": "List user tags", "operationId": "get_resource_tag_list_view", "parameters": [{"type": "integer", "in": "query", "description": "Limit of results per pagination page.", "name": "limit"}, {"type": "integer", "in": "query", "description": "Pagination page number.", "name": "page"}], "tags": ["Resources"]}}, "/resource/tag/{uuid}": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "delete": {"responses": {"200": {"description": "User tag has been deleted.", "schema": {"$ref": "#/definitions/ResourceTagResultModel"}}}, "summary": "Delete user tag", "operationId": "delete_resource_tag_view", "tags": ["Resources"]}, "put": {"responses": {"200": {"description": "User tag has been updated.", "schema": {"$ref": "#/definitions/ResourceTagResultModel"}}}, "summary": "Update user tag", "description": "Manage individual user tags.", "operationId": "put_resource_tag_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/ResourceTagCreateUpdateModel"}}], "tags": ["Resources"]}}, "/resource/{resource_uuid}/project": {"parameters": [{"name": "resource_uuid", "in": "path", "required": true, "type": "string"}], "put": {"responses": {"200": {"description": "Resource project has been updated.", "schema": {"$ref": "#/definitions/ResourceResultModel"}}}, "summary": "Update resource project", "description": "Update resource project assignment.", "operationId": "put_resource_project_update_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/ResourceUpdateProjectModel"}}], "tags": ["Resources"]}}, "/resource/{resource_uuid}/upgrade/custom": {"parameters": [{"name": "resource_uuid", "in": "path", "required": true, "type": "string"}], "post": {"responses": {"202": {"description": "Task has been queued for processing.", "schema": {"$ref": "#/definitions/ResponseBaseModel"}}, "200": {"description": "Resource custom upgrade has been created.", "schema": {"$ref": "#/definitions/ResourceUpgradeResultModel"}}}, "summary": "Create resource custom upgrade", "description": "Manage custom resource upgrades.", "operationId": "post_resource_upgrade_custom_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/ResourceCustomUpgradeAddModel"}}], "tags": ["Resources"]}}, "/resource/{resource_uuid}/upgrade/prebuilt": {"parameters": [{"name": "resource_uuid", "in": "path", "required": true, "type": "string"}], "post": {"responses": {"202": {"description": "Task has been queued for processing.", "schema": {"$ref": "#/definitions/ResponseBaseModel"}}, "200": {"description": "Resource prebuilt upgrade has been created.", "schema": {"$ref": "#/definitions/ResourceResultModel"}}}, "summary": "Create resource prebuilt upgrade", "description": "Manage prebuilt resource upgrades.", "operationId": "post_resource_upgrade_prebuilt_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/ResourcePrebuiltUpgradeRequestModel"}}], "tags": ["Resources"]}}, "/resource/{uuid}": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "put": {"responses": {"202": {"description": "Task has been queued for processing.", "schema": {"$ref": "#/definitions/ResponseBaseModel"}}, "200": {"description": "Resource has been updated.", "schema": {"$ref": "#/definitions/ResourceResultModel"}}}, "summary": "Update resource", "description": "Update resource.", "operationId": "put_resource_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/ResourceUpdateModel"}}], "tags": ["Resources"]}, "get": {"responses": {"202": {"description": "Task has been queued for processing.", "schema": {"$ref": "#/definitions/ResponseBaseModel"}}, "200": {"description": "Resource object has been returned.", "schema": {"$ref": "#/definitions/ResourceResultModel"}}}, "summary": "Get resource", "description": "Get resource.", "operationId": "get_resource_view", "tags": ["Resources"]}}, "/resource/{uuid}/aux_network_info": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "get": {"responses": {"202": {"description": "Task has been queued for processing.", "schema": {"$ref": "#/definitions/ResponseBaseModel"}}, "200": {"description": "Resource object with auxiliary network info has been returned.", "schema": {"$ref": "#/definitions/ResourceAuxNetworkInfoResultModel"}}}, "summary": "Get resource auxiliary network info", "description": "Get resource auxiliary network info.", "operationId": "get_resource_aux_network_info_view", "tags": ["Resources"]}}, "/resource/{uuid}/billing": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "put": {"responses": {"202": {"description": "Task has been queued for processing.", "schema": {"$ref": "#/definitions/ResponseBaseModel"}}, "200": {"description": "Additional resource list has been created.", "schema": {"$ref": "#/definitions/ResourceListResultModel"}}}, "summary": "Create additional resource list", "operationId": "put_resource_billing_additional_manage_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/ResourceStartAdditionalListModel"}}], "tags": ["Resources"]}, "post": {"responses": {"202": {"description": "Task has been queued for processing.", "schema": {"$ref": "#/definitions/ResponseBaseModel"}}, "200": {"description": "Additional resource has been created.", "schema": {"$ref": "#/definitions/ResourceResultModel"}}}, "summary": "Create additional resource", "description": "Manage additional resource billing.", "operationId": "post_resource_billing_additional_manage_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/ResourceStartAdditionalModel"}}], "tags": ["Resources"]}}, "/resource/{uuid}/compensation": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "get": {"responses": {"200": {"description": "List of resource compensation.", "schema": {"$ref": "#/definitions/ResourceOrderCompensationDetailModel"}}}, "summary": "List resource compensation", "description": "List resource compensation.", "operationId": "get_resource_compensation_view", "tags": ["Resources"]}}, "/resource/{uuid}/info/colocation": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "put": {"responses": {"200": {"description": "Colocation resource information has been updated.", "schema": {"$ref": "#/definitions/ResourceColocationInfoResultModel"}}}, "summary": "Update colocation resource information", "description": "Update colocation resource information.", "operationId": "put_resource_colocation_info_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/ResourceColocationInfoUpdateModel"}}], "tags": ["Resources"]}, "get": {"responses": {"200": {"description": "Colocation resource information has been returned.", "schema": {"$ref": "#/definitions/ResourceColocationInfoResultModel"}}}, "summary": "Get colocation resource information", "description": "Get colocation resource information.", "operationId": "get_resource_colocation_info_view", "tags": ["Resources"]}}, "/resource/{uuid}/info/custom": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "get": {"responses": {"200": {"description": "Custom resource information has been returned.", "schema": {"$ref": "#/definitions/ResourceCustomInfoResultModel"}}}, "summary": "Get custom resource information", "description": "Get custom resource information.", "operationId": "get_resource_custom_info_view", "tags": ["Resources"]}}, "/resource/{uuid}/info/network_equipment": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "get": {"responses": {"200": {"description": "Network equipment resource information has been returned.", "schema": {"$ref": "#/definitions/ResourceNetworkEquipmentInfoResultModel"}}}, "summary": "Get network equipment resource information", "description": "Get network equipment resource information.", "operationId": "get_resource_network_equipment_info_view", "tags": ["Resources"]}}, "/resource/{uuid}/info/port": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "get": {"responses": {"200": {"description": "Port resource information has been returned.", "schema": {"$ref": "#/definitions/ResourceServerInfoResultModel"}}}, "summary": "Get port resource information", "description": "Get port resource information.", "operationId": "get_resource_port_info_view", "tags": ["Resources"]}}, "/resource/{uuid}/info/server": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "get": {"responses": {"200": {"description": "Server resource information has been returned.", "schema": {"$ref": "#/definitions/ResourceServerInfoResultModel"}}}, "summary": "Get server resource information", "description": "Get server resource information.", "operationId": "get_resource_server_info_view", "tags": ["Resources"]}}, "/resource/{uuid}/info/serverchip": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "get": {"responses": {"200": {"description": "Serverchip resource information has been returned.", "schema": {"$ref": "#/definitions/ResourceServerInfoResultModel"}}}, "summary": "Get serverchip resource information", "description": "Get serverchip resource information.", "operationId": "get_resource_serverchip_info_view", "tags": ["Resources"]}}, "/resource/{uuid}/tag": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "put": {"responses": {"200": {"description": "Resource tags have been updated.", "schema": {"$ref": "#/definitions/ResourceTagResultListModel"}}}, "summary": "Update resource tags", "description": "Manage resource tags.", "operationId": "put_resource_tag_manage_view", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/ResourceTagManageModel"}}], "tags": ["Resources"]}}, "/result/{uuid}": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "get": {"responses": {"404": {"description": "Task has not been found.", "schema": {"$ref": "#/definitions/ResponseBaseAsyncModel"}}, "303": {"description": "Task result has been returned.", "schema": {"$ref": "#/definitions/ResponseBaseAsyncModel"}}, "200": {"description": "Task result has been returned.", "schema": {"$ref": "#/definitions/ResponseBaseAsyncModel"}}}, "summary": "Get task", "operationId": "get_task_view", "tags": ["Tasks"]}}, "/service": {"get": {"responses": {"200": {"description": "Returns list of Service", "schema": {"$ref": "#/definitions/ResponseServiceListResult"}}}, "summary": "List services", "operationId": "get_service_list", "parameters": [{"type": "boolean", "in": "query", "description": "hidden from view", "name": "is_hidden"}, {"type": "string", "enum": ["created", "name"], "default": "created", "in": "query", "description": "", "name": "sort"}, {"type": "string", "enum": ["desc", "asc"], "default": "asc", "in": "query", "description": "Order direction: [\"desc\", \"asc\"]", "name": "order"}, {"type": "boolean", "in": "query", "description": "If true, only editable services will be returned.", "name": "is_editable"}, {"type": "boolean", "in": "query", "description": "", "name": "is_primary"}, {"type": "string", "in": "query", "description": "billing state", "name": "state"}, {"type": "string", "enum": ["default", "colocation", "server", "serverchip", "custom", "rack", "network", "equipment", "firewall", "port", "network_equipment", "service", "software"], "in": "query", "description": "service model", "name": "model"}], "tags": ["Services"]}}, "/service/colocation": {"get": {"responses": {"200": {"description": "Returns list of Colocation Service", "schema": {"$ref": "#/definitions/ResponseColocationListResult"}}}, "summary": "List colocation services", "operationId": "get_service_colocation_list", "parameters": [{"type": "boolean", "in": "query", "description": "hidden from view", "name": "is_hidden"}, {"type": "string", "enum": ["created", "name"], "default": "created", "in": "query", "description": "", "name": "sort"}, {"type": "string", "enum": ["desc", "asc"], "default": "asc", "in": "query", "description": "Order direction: [\"desc\", \"asc\"]", "name": "order"}], "tags": ["Services"]}}, "/service/colocation/{uuid}": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "get": {"responses": {"200": {"description": "Returns Colocation Service", "schema": {"$ref": "#/definitions/ResponseColocationResult"}}}, "summary": "Show colocation service", "operationId": "get_service_colocation", "tags": ["Services"]}}, "/service/colocation/{uuid}/billing": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "post": {"responses": {"200": {"description": "Calculate Service billing", "schema": {"$ref": "#/definitions/ResponseServiceBillingResult"}}}, "summary": "Calculate Service billing", "operationId": "post_service_colocation_billing", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/ServiceBillingCheckModel"}}], "tags": ["Services"]}}, "/service/custom": {"get": {"responses": {"200": {"description": "Returns list of Custom Service", "schema": {"$ref": "#/definitions/ResponseServerCustomListResult"}}}, "summary": "List custom servers", "operationId": "get_server_custom_list", "parameters": [{"type": "boolean", "in": "query", "description": "hidden from view", "name": "is_hidden"}, {"type": "string", "enum": ["created", "name"], "default": "created", "in": "query", "description": "", "name": "sort"}, {"type": "string", "enum": ["desc", "asc"], "default": "asc", "in": "query", "description": "Order direction: [\"desc\", \"asc\"]", "name": "order"}], "tags": ["Services"]}}, "/service/custom/{uuid}": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "get": {"responses": {"200": {"description": "Returns Custom Service", "schema": {"$ref": "#/definitions/ResponseServerCustomResult"}}}, "summary": "Show custom server details", "operationId": "get_server_custom", "tags": ["Services"]}}, "/service/custom/{uuid}/billing": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "post": {"responses": {"200": {"description": "Calculate Service billing", "schema": {"$ref": "#/definitions/ResponseServiceBillingResult"}}}, "summary": "Calculate Service billing", "operationId": "post_service_custom_billing", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/ServiceCustomBillingCheckModel"}}], "tags": ["Services"]}}, "/service/custom/{uuid}/billing/upgrade": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "put": {"responses": {"200": {"description": "Calculate Service billing", "schema": {"$ref": "#/definitions/ResponseServiceCustomUpgradeBillingResult"}}}, "summary": "Calculate Service resource upgrade billing", "operationId": "put_service_custom_upgrade_billing", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/ServiceCustomUpgradeBillingCheckModel"}}], "tags": ["Services"]}}, "/service/firewall": {"get": {"responses": {"200": {"description": "Returns list of Firewall Service", "schema": {"$ref": "#/definitions/ResponseFirewallListResult"}}}, "summary": "List firewall services", "operationId": "get_service_firewall_list", "parameters": [{"type": "boolean", "in": "query", "description": "hidden from view", "name": "is_hidden"}, {"type": "string", "enum": ["created", "name"], "default": "created", "in": "query", "description": "", "name": "sort"}, {"type": "string", "enum": ["desc", "asc"], "default": "asc", "in": "query", "description": "Order direction: [\"desc\", \"asc\"]", "name": "order"}], "tags": ["Services"]}}, "/service/firewall/{uuid}": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "get": {"responses": {"200": {"description": "Returns Firewall Service", "schema": {"$ref": "#/definitions/ResponseFirewallResult"}}}, "summary": "Show firewall service", "operationId": "get_service_firewall", "tags": ["Services"]}}, "/service/lite": {}, "/service/lite/colocation": {}, "/service/lite/custom": {}, "/service/lite/firewall": {}, "/service/lite/network": {}, "/service/lite/port": {}, "/service/lite/server": {}, "/service/lite/serverchip": {}, "/service/network": {"get": {"responses": {"200": {"description": "Returns list of Network Service", "schema": {"$ref": "#/definitions/ResponseNetworkListResult"}}}, "summary": "List network", "operationId": "get_network_list", "parameters": [{"type": "boolean", "in": "query", "description": "hidden from view", "name": "is_hidden"}, {"type": "string", "in": "query", "description": "billing state", "name": "state"}, {"type": "string", "enum": ["created", "name"], "default": "created", "in": "query", "description": "", "name": "sort"}, {"type": "string", "enum": ["desc", "asc"], "default": "asc", "in": "query", "description": "Order direction: [\"desc\", \"asc\"]", "name": "order"}], "tags": ["Services"]}}, "/service/network/{uuid}": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "get": {"responses": {"200": {"description": "Returns Network Service", "schema": {"$ref": "#/definitions/ResponseNetworkResult"}}}, "summary": "Show network details", "operationId": "get_network", "tags": ["Services"]}}, "/service/network/{uuid}/billing": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "post": {"responses": {"200": {"description": "Calculate Service billing", "schema": {"$ref": "#/definitions/ResponseServiceBillingResult"}}}, "summary": "Calculate Service billing", "operationId": "post_service_network_billing", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/ServiceBillingCheckModel"}}], "tags": ["Services"]}}, "/service/network_equipment": {"get": {"responses": {"200": {"description": "Returns list of Network Equipment Service", "schema": {"$ref": "#/definitions/ResponseNetworkEquipmentListResult"}}}, "summary": "List network equipment services", "operationId": "get_service_network_equipment_list", "parameters": [{"type": "boolean", "in": "query", "description": "hidden from view", "name": "is_hidden"}, {"type": "string", "enum": ["created", "name"], "default": "created", "in": "query", "description": "", "name": "sort"}, {"type": "string", "enum": ["desc", "asc"], "default": "asc", "in": "query", "description": "Order direction: [\"desc\", \"asc\"]", "name": "order"}], "tags": ["Services"]}}, "/service/network_equipment/{uuid}": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "get": {"responses": {"200": {"description": "Returns Network Equipment Service", "schema": {"$ref": "#/definitions/ResponseNetworkEquipmentResult"}}}, "summary": "Show network equipment service", "operationId": "get_service_network_equipment", "tags": ["Services"]}}, "/service/port": {"get": {"responses": {"200": {"description": "Returns list of Port Service", "schema": {"$ref": "#/definitions/ResponsePortListResult"}}}, "summary": "List port services", "operationId": "get_service_port_list", "parameters": [{"type": "boolean", "in": "query", "description": "hidden from view", "name": "is_hidden"}, {"type": "string", "enum": ["created", "name"], "default": "created", "in": "query", "description": "", "name": "sort"}, {"type": "string", "enum": ["desc", "asc"], "default": "asc", "in": "query", "description": "Order direction: [\"desc\", \"asc\"]", "name": "order"}], "tags": ["Services"]}}, "/service/port/{uuid}": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "get": {"responses": {"200": {"description": "Returns Port Service", "schema": {"$ref": "#/definitions/ResponsePortResult"}}}, "summary": "Show port service", "operationId": "get_service_port", "tags": ["Services"]}}, "/service/port/{uuid}/billing": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "post": {"responses": {"200": {"description": "Calculate Service billing", "schema": {"$ref": "#/definitions/ResponseServiceBillingResult"}}}, "summary": "Calculate Service billing", "operationId": "post_service_port_billing", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/ServiceBillingCheckModel"}}], "tags": ["Services"]}}, "/service/server": {"get": {"responses": {"200": {"description": "Returns list of Dedicated Service", "schema": {"$ref": "#/definitions/ResponseServerListResult"}}}, "summary": "List servers", "operationId": "get_server_list", "parameters": [{"type": "boolean", "in": "query", "description": "hidden from view", "name": "is_hidden"}, {"type": "string", "in": "query", "description": "billing state", "name": "state"}, {"type": "string", "enum": ["created", "name"], "default": "created", "in": "query", "description": "", "name": "sort"}, {"type": "string", "enum": ["desc", "asc"], "default": "asc", "in": "query", "description": "Order direction: [\"desc\", \"asc\"]", "name": "order"}], "tags": ["Services"]}}, "/service/server/{uuid}": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "get": {"responses": {"200": {"description": "Returns Dedicated Service", "schema": {"$ref": "#/definitions/ResponseServerResult"}}}, "summary": "Show server details", "operationId": "get_server", "tags": ["Services"]}}, "/service/server/{uuid}/billing": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "post": {"responses": {"200": {"description": "Calculate Service billing", "schema": {"$ref": "#/definitions/ResponseServiceBillingResult"}}}, "summary": "Calculate Service billing", "operationId": "post_service_server_billing", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/ServiceBillingCheckModel"}}], "tags": ["Services"]}}, "/service/serverchip": {"get": {"responses": {"200": {"description": "Returns list of Chipcore Service", "schema": {"$ref": "#/definitions/ResponseServerListResult"}}}, "summary": "List chipcore servers", "operationId": "get_server_chip_list", "parameters": [{"type": "boolean", "in": "query", "description": "hidden from view", "name": "is_hidden"}, {"type": "string", "enum": ["created", "name"], "default": "created", "in": "query", "description": "", "name": "sort"}, {"type": "string", "enum": ["desc", "asc"], "default": "asc", "in": "query", "description": "Order direction: [\"desc\", \"asc\"]", "name": "order"}], "tags": ["Services"]}}, "/service/serverchip/{uuid}": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "get": {"responses": {"200": {"description": "Returns Chipcore Service", "schema": {"$ref": "#/definitions/ResponseServerResult"}}}, "summary": "Show chipcore server details", "operationId": "get_server_chip", "tags": ["Services"]}}, "/service/serverchip/{uuid}/billing": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "post": {"responses": {"200": {"description": "Calculate Service billing", "schema": {"$ref": "#/definitions/ResponseServiceBillingResult"}}}, "summary": "Calculate Service billing", "operationId": "post_service_serverchip_billing", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/ServiceBillingCheckModel"}}], "tags": ["Services"]}}, "/service/tag_catalog": {"get": {"responses": {"200": {"description": "Returns list of tags from service tag catalog", "schema": {"$ref": "#/definitions/ResponseServiceTagCatalogListResult"}}}, "summary": "Get service tag catalog list", "operationId": "get_service_tag_catalog_view_resource", "tags": ["Services"]}}, "/service/tag_catalog/{uuid}": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "get": {"responses": {"200": {"description": "Returns service tag", "schema": {"$ref": "#/definitions/ResponseServiceTagCatalogResult"}}}, "summary": "Get tag from service tag catalog", "operationId": "get_service_tag_catalog_update_resource", "tags": ["Services"]}}, "/service/{uuid}": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "get": {"responses": {"200": {"description": "Get Service", "schema": {"$ref": "#/definitions/ResponseServiceResult"}}}, "summary": "Show service details", "operationId": "get_service", "tags": ["Services"]}}, "/service/{uuid}/billing": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "put": {"responses": {"200": {"description": "Calculate Service billing", "schema": {"$ref": "#/definitions/ResponseServiceBillingResult"}}}, "summary": "Calculate Service resource billing", "operationId": "put_service_resource_billing", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/ServiceResourceBillingCheckModel"}}], "tags": ["Services"]}}, "/service/{uuid}/billing/additional": {"parameters": [{"name": "uuid", "in": "path", "required": true, "type": "string"}], "put": {"responses": {"200": {"description": "Calculate Additional Service billing", "schema": {"$ref": "#/definitions/ResponseServiceBillingResult"}}}, "summary": "Calculate Service additional resource billing", "operationId": "put_service_resource_additional_billing", "parameters": [{"name": "payload", "required": true, "in": "body", "schema": {"$ref": "#/definitions/ServiceResourceAdditionalBillingCheckModel"}}], "tags": ["Services"]}}}, "info": {"title": "Dedicated Servers API", "version": "1.192.2", "description": "Managing dedicated servers: creating and configuring resources, managing billing, controlling power, installing OS, setting up network, and more."}, "produces": ["application/json"], "consumes": ["application/json"], "securityDefinitions": {"iam_token_account_scoped": {"type": "apiKey", "in": "header", "name": "X-AUTH-TOKEN", "description": "IAM token for account"}, "iam_token_project_scoped": {"type": "apiKey", "in": "header", "name": "X-AUTH-TOKEN", "description": "IAM token for project"}}, "security": [{"iam_token_account_scoped": []}, {"iam_token_project_scoped": []}], "tags": [{"name": "Dashboard", "description": "Dashboard"}, {"name": "Locations", "description": "Locations namespace"}, {"name": "Services", "description": "Services namespace"}, {"name": "Price Plans", "description": "Price plan namespace"}, {"name": "Resources", "description": "Managing dedicated server resources: creating and ordering servers, billing operations, tagging for organization, resource information retrieval, upgrades, and more."}, {"name": "Power Manager", "description": "Power Manager namespace"}, {"name": "Boot Manager", "description": "Resource Boot Manager"}, {"name": "Events", "description": "Events namespace"}, {"name": "Tasks", "description": "Tasks namespace"}, {"name": "Network Management API", "description": "Managing networks, subnets, and IP addresses: creating and configuring networks, allocating and releasing IPs, managing local subnets and local IPs, configuring network limits, managing ports and basic firewall rules, and more."}, {"name": "Consumption", "description": "Consumption of speed and traffic"}, {"name": "Miscellaneous", "description": "Miscellaneous data"}, {"name": "Discount campaign", "description": "Discount campaign namespace"}, {"name": "Block storage Manager", "description": "Block storage Manager"}], "definitions": {"MaintenanceStatusResponse": {"required": ["task_id"], "properties": {"task_id": {"type": "string", "description": "Unique task UUID v4", "example": "00000000-0000-0000-A000-000000000000", "minLength": 36, "maxLength": 36}, "status": {"type": "string"}, "progress": {"type": "integer"}, "page": {"type": "integer"}, "limit": {"type": "integer"}, "item_count": {"type": "integer"}, "execution_time": {"type": "number"}, "result": {"description": "Maintenance status data.", "allOf": [{"$ref": "#/definitions/MaintenanceStatus"}]}}, "type": "object"}, "MaintenanceStatus": {"required": ["status"], "properties": {"status": {"type": "boolean", "description": "Indicates whether maintenance is currently active."}}, "type": "object"}, "ResultActiveTasks": {"required": ["task_id"], "properties": {"task_id": {"type": "string", "description": "Unique task UUID v4", "example": "00000000-0000-0000-A000-000000000000", "minLength": 36, "maxLength": 36}, "status": {"type": "string"}, "progress": {"type": "integer"}, "page": {"type": "integer"}, "limit": {"type": "integer"}, "item_count": {"type": "integer"}, "execution_time": {"type": "number"}, "result": {"type": "array", "description": "List of active tasks.", "items": {"$ref": "#/definitions/ActiveTask"}}}, "type": "object"}, "ActiveTask": {"properties": {"progress": {"type": "integer", "description": "Task completion progress in percentage."}, "task_name": {"type": "string", "description": "Name of the task."}, "task_id": {"type": "string", "description": "Unique task identifier.", "example": "00000000-0000-0000-A000-000000000000", "minLength": 36, "maxLength": 36}}, "type": "object"}, "HealthInfoResponse": {"required": ["task_id"], "properties": {"task_id": {"type": "string", "description": "Unique task UUID v4", "example": "00000000-0000-0000-A000-000000000000", "minLength": 36, "maxLength": 36}, "status": {"type": "string"}, "progress": {"type": "integer"}, "page": {"type": "integer"}, "limit": {"type": "integer"}, "item_count": {"type": "integer"}, "execution_time": {"type": "number"}, "result": {"description": "API health information.", "allOf": [{"$ref": "#/definitions/HealthInfo"}]}}, "type": "object"}, "HealthInfo": {"properties": {"version_api": {"type": "string", "description": "API version."}, "environment": {"type": "string", "description": "Environment name."}}, "type": "object"}, "LocationResultListModel": {"required": ["task_id"], "properties": {"task_id": {"type": "string", "description": "Unique task UUID v4", "example": "00000000-0000-0000-A000-000000000000", "minLength": 36, "maxLength": 36}, "status": {"type": "string"}, "progress": {"type": "integer"}, "page": {"type": "integer"}, "limit": {"type": "integer"}, "item_count": {"type": "integer"}, "execution_time": {"type": "number"}, "result": {"type": "array", "items": {"$ref": "#/definitions/LocationModel"}}}, "type": "object"}, "LocationModel": {"required": ["location_id", "name", "primary_resource_ordering", "uuid", "visibility"], "properties": {"uuid": {"type": "string", "example": "00000000-0000-0000-A000-000000000000", "minLength": 36, "maxLength": 36}, "name": {"type": "string", "maxLength": 64}, "location_id": {"type": "integer"}, "description": {"type": "string", "maxLength": 128}, "dc_count": {"type": "integer"}, "visibility": {"type": "string", "example": "everywhere", "enum": ["everywhere", "only_in_admin"]}, "primary_resource_ordering": {"type": "string", "example": "enabled", "enum": ["enabled", "enabled_in_admin", "disabled"]}}, "type": "object"}, "LocationResultModel": {"required": ["task_id"], "properties": {"task_id": {"type": "string", "description": "Unique task UUID v4", "example": "00000000-0000-0000-A000-000000000000", "minLength": 36, "maxLength": 36}, "status": {"type": "string"}, "progress": {"type": "integer"}, "page": {"type": "integer"}, "limit": {"type": "integer"}, "item_count": {"type": "integer"}, "execution_time": {"type": "number"}, "result": {"$ref": "#/definitions/LocationModel"}}, "type": "object"}, "ResponseServiceTagCatalogListResult": {"required": ["task_id"], "properties": {"task_id": {"type": "string", "description": "Unique task UUID v4", "example": "00000000-0000-0000-A000-000000000000", "minLength": 36, "maxLength": 36}, "status": {"type": "string"}, "progress": {"type": "integer"}, "page": {"type": "integer"}, "limit": {"type": "integer"}, "item_count": {"type": "integer"}, "execution_time": {"type": "number"}, "result": {"type": "array", "items": {"$ref": "#/definitions/ServiceTagCatalog"}}}, "type": "object"}, "ServiceTagCatalog": {"required": ["is_filter", "is_hide", "name", "sort_weight", "style_key", "text", "uuid"], "properties": {"uuid": {"type": "string", "example": "00000000-0000-0000-A000-000000000000", "minLength": 36, "maxLength": 36}, "name": {"type": "string"}, "text": {"type": "string"}, "is_hide": {"type": "boolean"}, "is_filter": {"type": "boolean"}, "sort_weight": {"type": "integer"}, "style_key": {"type": "string"}}, "type": "object"}, "ResponseServiceTagCatalogResult": {"required": ["task_id"], "properties": {"task_id": {"type": "string", "description": "Unique task UUID v4", "example": "00000000-0000-0000-A000-000000000000", "minLength": 36, "maxLength": 36}, "status": {"type": "string"}, "progress": {"type": "integer"}, "page": {"type": "integer"}, "limit": {"type": "integer"}, "item_count": {"type": "integer"}, "execution_time": {"type": "number"}, "result": {"$ref": "#/definitions/ServiceTagCatalog"}}, "type": "object"}, "ResponseServiceListResult": {"required": ["task_id"], "properties": {"task_id": {"type": "string", "description": "Unique task UUID v4", "example": "00000000-0000-0000-A000-000000000000", "minLength": 36, "maxLength": 36}, "status": {"type": "string"}, "progress": {"type": "integer"}, "page": {"type": "integer"}, "limit": {"type": "integer"}, "item_count": {"type": "integer"}, "execution_time": {"type": "number"}, "result": {"type": "array", "items": {"$ref": "#/definitions/ServiceBase"}}}, "type": "object"}, "ServiceBase": {"required": ["available", "is_order", "is_preorder", "is_price_plan_discount_enabled", "is_primary", "is_single_prolonged", "is_user_discount_enabled", "model", "name", "price_collection", "service_tag", "setup_fee_collection", "state", "tag_list", "tags", "tariff_line", "uuid"], "properties": {"uuid": {"type": "string", "example": "00000000-0000-0000-A000-000000000000", "minLength": 36, "maxLength": 36}, "name": {"type": "string"}, "tariff_line": {"type": "string"}, "model": {"type": "string"}, "tags": {"type": "array", "items": {"type": "string"}}, "tag_list": {"type": "array", "items": {"$ref": "#/definitions/ServiceTagCatalog"}}, "state": {"type": "string", "description": "service state"}, "available": {"type": "array", "items": {"$ref": "#/definitions/ServiceAvailable"}}, "setup_fee_collection": {"$ref": "#/definitions/PriceModel"}, "price_collection": {"$ref": "#/definitions/PriceModel"}, "location_price_collection": {"description": "Dictionary containing type values: key - location_uuid(string), value - PriceModel", "allOf": [{"$ref": "#/definitions/LocationPriceModelView"}]}, "service_tag": {"type": "string"}, "quantity": {"type": "integer"}, "eol_date": {"type": "integer"}, "is_primary": {"type": "boolean"}, "is_order": {"type": "boolean"}, "is_preorder": {"type": "boolean"}, "is_single_prolonged": {"type": "boolean"}, "is_qchange": {"type": "boolean"}, "is_user_discount_enabled": {"type": "boolean"}, "is_price_plan_discount_enabled": {"type": "boolean"}, "is_editable": {"type": "boolean"}}, "type": "object"}, "ServiceAvailable": {"properties": {"location": {"type": "string", "example": "00000000-0000-0000-A000-000000000000", "minLength": 36, "maxLength": 36}, "count": {"type": "integer"}, "plan_count": {"type": "array", "items": {"$ref": "#/definitions/ServicePlanAvailable"}}}, "type": "object"}, "ServicePlanAvailable": {"properties": {"plan_uuid": {"type": "string", "example": "00000000-0000-0000-A000-000000000000", "minLength": 36, "maxLength": 36}, "count": {"type": "integer"}}, "type": "object"}, "PriceModel": {"required": ["EUR", "KES", "KZT", "RUB", "USD", "UZS"], "properties": {"RUB": {"$ref": "#/definitions/PricePeriodModel"}, "EUR": {"$ref": "#/definitions/PricePeriodModel"}, "USD": {"$ref": "#/definitions/PricePeriodModel"}, "UZS": {"$ref": "#/definitions/PricePeriodModel"}, "KZT": {"$ref": "#/definitions/PricePeriodModel"}, "KES": {"$ref": "#/definitions/PricePeriodModel"}}, "type": "object"}, "PricePeriodModel": {"properties": {"year": {"type": "number", "minimum": 0.01}, "day": {"type": "number", "minimum": 0.01}, "month": {"type": "number", "minimum": 0.01}, "hour": {"type": "number", "minimum": 0.01}}, "type": "object"}, "LocationPriceModelView": {"properties": {"*": {"type": "object", "additionalProperties": {"$ref": "#/definitions/PriceModel"}}}, "type": "object"}, "ResponseServiceResult": {"required": ["task_id"], "properties": {"task_id": {"type": "string", "description": "Unique task UUID v4", "example": "00000000-0000-0000-A000-000000000000", "minLength": 36, "maxLength": 36}, "status": {"type": "string"}, "progress": {"type": "integer"}, "page": {"type": "integer"}, "limit": {"type": "integer"}, "item_count": {"type": "integer"}, "execution_time": {"type": "number"}, "result": {"$ref": "#/definitions/ServiceView"}}, "type": "object"}, "ServiceView": {"allOf": [{"$ref": "#/definitions/ServiceBase"}, {"required": ["addition", "available", "is_order", "is_preorder", "is_price_plan_discount_enabled", "is_primary", "is_single_prolonged", "is_user_discount_enabled", "model", "name", "price_collection", "price_plan_available", "primary", "service_tag", "setup_fee_collection", "state", "tag_list", "tags", "tariff_line", "uuid"], "properties": {"price_plan_available": {"type": "array", "items": {"type": "string"}}, "addition": {"type": "array", "items": {"$ref": "#/definitions/ServiceBase"}}, "primary": {"type": "array", "items": {"$ref": "#/definitions/ServiceBase"}}, "uuid": {"type": "string", "example": "00000000-0000-0000-A000-000000000000", "minLength": 36, "maxLength": 36}, "name": {"type": "string"}, "tariff_line": {"type": "string"}, "model": {"type": "string"}, "tags": {"type": "array", "items": {"type": "string"}}, "tag_list": {"type": "array", "items": {"$ref": "#/definitions/ServiceTagCatalog"}}, "state": {"type": "string", "description": "service state"}, "available": {"type": "array", "items": {"$ref": "#/definitions/ServiceAvailable"}}, "setup_fee_collection": {"$ref": "#/definitions/PriceModel"}, "price_collection": {"$ref": "#/definitions/PriceModel"}, "location_price_collection": {"description": "Dictionary containing type values: key - location_uuid(string), value - PriceModel", "allOf": [{"$ref": "#/definitions/LocationPriceModelView"}]}, "service_tag": {"type": "string"}, "quantity": {"type": "integer"}, "eol_date": {"type": "integer"}, "is_primary": {"type": "boolean"}, "is_order": {"type": "boolean"}, "is_preorder": {"type": "boolean"}, "is_single_prolonged": {"type": "boolean"}, "is_qchange": {"type": "boolean"}, "is_user_discount_enabled": {"type": "boolean"}, "is_price_plan_discount_enabled": {"type": "boolean"}, "is_editable": {"type": "boolean"}}, "type": "object"}]}, "ResponseNetworkListResult": {"required": ["task_id"], "properties": {"task_id": {"type": "string", "description": "Unique task UUID v4", "example": "00000000-0000-0000-A000-000000000000", "minLength": 36, "maxLength": 36}, "status": {"type": "string"}, "progress": {"type": "integer"}, "page": {"type": "integer"}, "limit": {"type": "integer"}, "item_count": {"type": "integer"}, "execution_time": {"type": "number"}, "result": {"type": "array", "items": {"$ref": "#/definitions/NetworkViewModel"}}}, "type": "object"}, "NetworkViewModel": {"allOf": [{"$ref": "#/definitions/ServiceView"}, {"required": ["addition", "available", "is_order", "is_preorder", "is_price_plan_discount_enabled", "is_primary", "is_single_prolonged", "is_user_discount_enabled", "model", "name", "price_collection", "price_plan_available", "primary", "service_tag", "setup_fee_collection", "state", "tag_list", "tags", "tariff_line", "uuid"], "properties": {"price_plan_available": {"type": "array", "items": {"type": "string"}}, "addition": {"type": "array", "items": {"$ref": "#/definitions/ServiceBase"}}, "primary": {"type": "array", "items": {"$ref": "#/definitions/ServiceBase"}}, "uuid": {"type": "string", "example": "00000000-0000-0000-A000-000000000000", "minLength": 36, "maxLength": 36}, "name": {"type": "string"}, "tariff_line": {"type": "string"}, "model": {"type": "string"}, "tags": {"type": "array", "items": {"type": "string"}}, "tag_list": {"type": "array", "items": {"$ref": "#/definitions/ServiceTagCatalog"}}, "state": {"type": "string", "description": "service state"}, "available": {"type": "array", "items": {"$ref": "#/definitions/ServiceAvailable"}}, "setup_fee_collection": {"$ref": "#/definitions/PriceModel"}, "price_collection": {"$ref": "#/definitions/PriceModel"}, "location_price_collection": {"description": "Dictionary containing type values: key - location_uuid(string), value - PriceModel", "allOf": [{"$ref": "#/definitions/LocationPriceModelView"}]}, "service_tag": {"type": "string"}, "quantity": {"type": "integer"}, "eol_date": {"type": "integer"}, "is_primary": {"type": "boolean"}, "is_order": {"type": "boolean"}, "is_preorder": {"type": "boolean"}, "is_single_prolonged": {"type": "boolean"}, "is_qchange": {"type": "boolean"}, "is_user_discount_enabled": {"type": "boolean"}, "is_price_plan_discount_enabled": {"type": "boolean"}, "is_editable": {"type": "boolean"}}, "type": "object"}]}, "ResponseNetworkResult": {"required": ["task_id"], "properties": {"task_id": {"type": "string", "description": "Unique task UUID v4", "example": "00000000-0000-0000-A000-000000000000", "minLength": 36, "maxLength": 36}, "status": {"type": "string"}, "progress": {"type": "integer"}, "page": {"type": "integer"}, "limit": {"type": "integer"}, "item_count": {"type": "integer"}, "execution_time": {"type": "number"}, "result": {"$ref": "#/definitions/NetworkViewModel"}}, "type": "object"}, "ResponseServerListResult": {"required": ["task_id"], "properties": {"task_id": {"type": "string", "description": "Unique task UUID v4", "example": "00000000-0000-0000-A000-000000000000", "minLength": 36, "maxLength": 36}, "status": {"type": "string"}, "progress": {"type": "integer"}, "page": {"type": "integer"}, "limit": {"type": "integer"}, "item_count": {"type": "integer"}, "execution_time": {"type": "number"}, "result": {"type": "array", "items": {"$ref": "#/definitions/ServerViewModel"}}}, "type": "object"}, "ServerViewModel": {"allOf": [{"$ref": "#/definitions/ServiceView"}, {"required": ["addition", "available", "config_name", "cpu", "disk", "is_order", "is_preorder", "is_price_plan_discount_enabled", "is_primary", "is_single_prolonged", "is_user_discount_enabled", "model", "name", "price_collection", "price_plan_available", "primary", "ram", "service_tag", "setup_fee_collection", "state", "tag_list", "tags", "tariff_line", "uuid"], "properties": {"config_name": {"type": "string"}, "cpu": {"$ref": "#/definitions/ServerCPU"}, "ram": {"type": "array", "items": {"$ref": "#/definitions/ServerRAM"}}, "disk": {"type": "array", "items": {"$ref": "#/definitions/ServerDisk"}}, "gpu": {"$ref": "#/definitions/ServerGPU"}, "is_manual_erase": {"type": "boolean"}, "is_manual_os_install": {"type": "boolean"}, "config": {"type": "array", "items": {"$ref": "#/definitions/ConfigCompactModel"}}, "is_configurable": {"type": "boolean"}, "arch_type": {"type": "string", "example": "x86_64", "enum": ["x86_64", "i386", "aarch64", "aarch64_pi4", "aarch64_m1"]}, "price_plan_available": {"type": "array", "items": {"type": "string"}}, "addition": {"type": "array", "items": {"$ref": "#/definitions/ServiceBase"}}, "primary": {"type": "array", "items": {"$ref": "#/definitions/ServiceBase"}}, "uuid": {"type": "string", "example": "00000000-0000-0000-A000-000000000000", "minLength": 36, "maxLength": 36}, "name": {"type": "string"}, "tariff_line": {"type": "string"}, "model": {"type": "string"}, "tags": {"type": "array", "items": {"type": "string"}}, "tag_list": {"type": "array", "items": {"$ref": "#/definitions/ServiceTagCatalog"}}, "state": {"type": "string", "description": "service state"}, "available": {"type": "array", "items": {"$ref": "#/definitions/ServiceAvailable"}}, "setup_fee_collection": {"$ref": "#/definitions/PriceModel"}, "price_collection": {"$ref": "#/definitions/PriceModel"}, "location_price_collection": {"description": "Dictionary containing type values: key - location_uuid(string), value - PriceModel", "allOf": [{"$ref": "#/definitions/LocationPriceModelView"}]}, "service_tag": {"type": "string"}, "quantity": {"type": "integer"}, "eol_date": {"type": "integer"}, "is_primary": {"type": "boolean"}, "is_order": {"type": "boolean"}, "is_preorder": {"type": "boolean"}, "is_single_prolonged": {"type": "boolean"}, "is_qchange": {"type": "boolean"}, "is_user_discount_enabled": {"type": "boolean"}, "is_price_plan_discount_enabled": {"type": "boolean"}, "is_editable": {"type": "boolean"}}, "type": "object"}]}, "ServerCPU": {"required": ["base_freq", "cores_per_cpu", "count", "name"], "properties": {"name": {"type": "string"}, "base_freq": {"type": "number"}, "count": {"type": "integer"}, "cores_per_cpu": {"type": "integer"}}, "type": "object"}, "ServerRAM": {"required": ["count", "size", "type"], "properties": {"type": {"type": "string"}, "size": {"type": "integer", "description": "\u041e\u0431\u044a\u0451\u043c \u043f\u0430\u043c\u044f\u0442\u0438 \u0432 \u0413\u0438\u0433\u0430\u0431\u0430\u0439\u0442\u0430\u0445 (GiB)"}, "count": {"type": "integer"}}, "type": "object"}, "ServerDisk": {"required": ["count", "size", "type"], "properties": {"type": {"type": "string"}, "size": {"type": "integer", "description": "\u041e\u0431\u044a\u0451\u043c \u043f\u0430\u043c\u044f\u0442\u0438 \u0432 \u0413\u0438\u0433\u0430\u0431\u0430\u0439\u0442\u0430\u0445 (GiB)"}, "count": {"type": "integer", "description": "\u041a\u043e\u043b\u0438\u0447\u0435\u0441\u0442\u0432\u043e \u0434\u0438\u0441\u043a\u043e\u0432 \u0443\u043a\u0430\u0437\u0430\u043d\u043d\u043e\u0433\u043e \u0442\u0438\u043f\u0430"}}, "type": "object"}, "ServerGPU": {"required": ["count", "name"], "properties": {"name": {"type": "string"}, "count": {"type": "integer"}}, "type": "object"}, "ConfigCompactModel": {"properties": {"id": {"type": "integer"}, "count": {"type": "integer"}, "feature": {"$ref": "#/definitions/HardmathConfigItemFeatureModel"}}, "type": "object"}, "HardmathConfigItemFeatureModel": {"properties": {"uuid": {"type": "string"}, "link": {"type": "string"}}, "type": "object"}, "ResponseServerResult": {"required": ["task_id"], "properties": {"task_id": {"type": "string", "description": "Unique task UUID v4", "example": "00000000-0000-0000-A000-000000000000", "minLength": 36, "maxLength": 36}, "status": {"type": "string"}, "progress": {"type": "integer"}, "page": {"type": "integer"}, "limit": {"type": "integer"}, "item_count": {"type": "integer"}, "execution_time": {"type": "number"}, "result": {"$ref": "#/definitions/ServerViewModel"}}, "type": "object"}, "ResponseServerCustomListResult": {"required": ["task_id"], "properties": {"task_id": {"type": "string", "description": "Unique task UUID v4", "example": "00000000-0000-0000-A000-000000000000", "minLength": 36, "maxLength": 36}, "status": {"type": "string"}, "progress": {"type": "integer"}, "page": {"type": "integer"}, "limit": {"type": "integer"}, "item_count": {"type": "integer"}, "execution_time": {"type": "number"}, "result": {"type": "array", "items": {"$ref": "#/definitions/ServerCustomViewModel"}}}, "type": "object"}, "ServerCustomViewModel": {"allOf": [{"$ref": "#/definitions/ServiceView"}, {"$ref": "#/definitions/ServiceBase"}, {"required": ["addition", "available", "is_order", "is_preorder", "is_price_plan_discount_enabled", "is_primary", "is_single_prolonged", "is_user_discount_enabled", "model", "name", "price_collection", "price_plan_available", "primary", "service_tag", "setup_fee_collection", "state", "tag_list", "tags", "tariff_line", "uuid"], "properties": {"is_template_service_required": {"type": "boolean"}, "is_manual_erase": {"type": "boolean"}, "is_manual_os_install": {"type": "boolean"}, "market_segment_cpu": {"type": "string"}, "price_plan_available": {"type": "array", "items": {"type": "string"}}, "addition": {"type": "array", "items": {"$ref": "#/definitions/ServiceBase"}}, "primary": {"type": "array", "items": {"$ref": "#/definitions/ServiceBase"}}, "uuid": {"type": "string", "example": "00000000-0000-0000-A000-000000000000", "minLength": 36, "maxLength": 36}, "name": {"type": "string"}, "tariff_line": {"type": "string"}, "model": {"type": "string"}, "tags": {"type": "array", "items": {"type": "string"}}, "tag_list": {"type": "array", "items": {"$ref": "#/definitions/ServiceTagCatalog"}}, "state": {"type": "string", "description": "service state"}, "available": {"type": "array", "items": {"$ref": "#/definitions/ServiceAvailable"}}, "setup_fee_collection": {"$ref": "#/definitions/PriceModel"}, "price_collection": {"$ref": "#/definitions/PriceModel"}, "location_price_collection": {"description": "Dictionary containing type values: key - location_uuid(string), value - Pric
[...]
